| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::CDynamicMeshBuffer Class Reference

`#include <CDynamicMeshBuffer.h>`

Inheritance diagram for irr::scene::CDynamicMeshBuffer:

List of all members.

## Public Member Functions

- CDynamicMeshBuffer (video::E_VERTEX_TYPE vertexType, video::E_INDEX_TYPE indexType)
    constructor
- virtual ~CDynamicMeshBuffer ()
    destructor
- virtual const core::aabbox3d
  < f32 > & getBoundingBox () const
    Get bounding box.
- virtual IIndexBuffer & getIndexBuffer () const
- virtual const video::SMaterial & getMaterial () const
    Get Material of this buffer.
- virtual video::SMaterial & getMaterial ()
    Get Material of this buffer.
- virtual IVertexBuffer & getVertexBuffer () const
- virtual void recalculateBoundingBox ()
    Recalculate bounding box.
- virtual void setBoundingBox (const core::aabbox3df &box)
    Set bounding box.
- virtual void setIndexBuffer (IIndexBuffer *newIndexBuffer)
- virtual void setVertexBuffer (IVertexBuffer *newVertexBuffer)

## Public Attributes

- core::aabbox3d< f32 > BoundingBox
- video::SMaterial Material

## Detailed Description

Definition at line 18 of file CDynamicMeshBuffer.h.

## Constructor & Destructor Documentation

irr::scene::CDynamicMeshBuffer::CDynamicMeshBuffer | ( | video::E_VERTEX_TYPE | vertexType,
|  | video::E_INDEX_TYPE | indexType
| ) |  | `[inline]`

constructor

Definition at line 22 of file CDynamicMeshBuffer.h.

virtual irr::scene::CDynamicMeshBuffer::~CDynamicMeshBuffer | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 29 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::drop().

## Member Function Documentation

virtual const core::aabbox3d<f32>& irr::scene::CDynamicMeshBuffer::getBoundingBox | ( |  | ) | const`[inline, virtual]`

Get bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 80 of file CDynamicMeshBuffer.h.

References BoundingBox.

virtual IIndexBuffer& irr::scene::CDynamicMeshBuffer::getIndexBuffer | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 42 of file CDynamicMeshBuffer.h.

virtual const video::SMaterial& irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) | const`[inline, virtual]`

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 68 of file CDynamicMeshBuffer.h.

References Material.

virtual video::SMaterial& irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) | `[inline, virtual]`

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 74 of file CDynamicMeshBuffer.h.

References Material.

virtual IVertexBuffer& irr::scene::CDynamicMeshBuffer::getVertexBuffer | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 37 of file CDynamicMeshBuffer.h.

Referenced by recalculateBoundingBox().

virtual void irr::scene::CDynamicMeshBuffer::recalculateBoundingBox | ( |  | ) | `[inline, virtual]`

Recalculate bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 92 of file CDynamicMeshBuffer.h.

References irr::core::aabbox3d< T >::addInternalPoint(), BoundingBox, getVertexBuffer(), irr::core::aabbox3d< T >::reset(), and irr::scene::IVertexBuffer::size().

virtual void irr::scene::CDynamicMeshBuffer::setBoundingBox | ( | const core::aabbox3df & | box | ) | `[inline, virtual]`

Set bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 86 of file CDynamicMeshBuffer.h.

References BoundingBox.

virtual void irr::scene::CDynamicMeshBuffer::setIndexBuffer | ( | IIndexBuffer * | newIndexBuffer | ) | `[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 57 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::drop(), and irr::IReferenceCounted::grab().

virtual void irr::scene::CDynamicMeshBuffer::setVertexBuffer | ( | IVertexBuffer * | newVertexBuffer | ) | `[inline, virtual]`

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 47 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::drop(), and irr::IReferenceCounted::grab().

## Member Data Documentation

core::aabbox3d<f32> irr::scene::CDynamicMeshBuffer::BoundingBox

Definition at line 105 of file CDynamicMeshBuffer.h.

Referenced by getBoundingBox(), recalculateBoundingBox(), and setBoundingBox().

video::SMaterial irr::scene::CDynamicMeshBuffer::Material

Definition at line 104 of file CDynamicMeshBuffer.h.

Referenced by getMaterial().

The documentation for this class was generated from the following file:

- CDynamicMeshBuffer.h